module.exports = {
  parserOptions: {
    parser: 'babel-eslint',
    sourceType: 'module',
    ecmaVersion: 2017,
    allowImportExportEverywhere: false
  },
  env: {
    browser: true,
    es6: true,
    node: true
  },
  extends: [
    'plugin:vue/recommended'
  ],
  'rules': {
    // single quote preferred
    quotes: [1, 'single', { 'allowTemplateLiterals': true }],
    'vue/require-default-prop': 0,
    'vue/require-prop-types': 0,
  }
}
